# Administration Reference

## kas help

Purpose

Displays the syntax of each specified kas command or lists functional descriptions of all kas commands

Synopsis

    kas help [-topic <help string>+]  [-help]

    kas h [-t <help string>+]  [-h]

Description

The kas help command displays the complete online help entry (short description and syntax statement) for each command operation code specified by the -topic argument. If the -topic argument is omitted, the output includes the first line (name and short description) of the online help entry for every kas command.

To list every kas command whose name or short description includes a specified keyword, use the kas apropos command.

Options

-topic
  Indicates each command for which to display the complete online help entry. Omit the kas part of the command name, providing only the operation code (for example, specify setpassword, not kas setpassword). If this argument is omitted, the output briefly describes every kas command.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The online help entry for each kas command consists of the following two or three lines:

- The first line names the command and briefly describes its function.

- The second line lists aliases for the command, if any.

- The final line, which begins with the string `Usage`, lists the command's options in the prescribed order. Online help entries use the same symbols (for example, brackets) as the reference pages in this document.

Examples

The following command displays the online help entry for the kas setpassword command:

       % kas help setpassword
       kas setpassword: set a user's password
       aliases: sp
       Usage: kas setpassword -name <name of user>
       [-new_password <new password>] [-kvno <key version number>]
       [-admin_username <admin principal to use for authentication>]
       [-password_for_admin <password>] [-cell <cell name>]
       [-servers <explicit list of authentication servers>+] [-help]

Privilege Required

None, and no password is required.

Related Information

kas

kas apropos

© IBM Corporation 2000. All Rights Reserved